## ros-jazzy-moveit-core 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-core (2.10.0-2bookworm) bookworm; urgency=high

  * Enforce liboctomap-dev by using a cmake version range
  * Add utility functions to get limits and trajectory message (#2861 <https://github.com/moveit/moveit2/issues/2861>)
  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Use std::optional instead of nullptr checking (#2454 <https://github.com/moveit/moveit2/issues/2454>)
  * Enable mdof trajectory execution (#2740 <https://github.com/moveit/moveit2/issues/2740>)
    * Add RobotTrajectory conversion from MDOF to joints
    * Convert MDOF trajectories to joint trajectories in planning interfaces
    * Treat mdof joint variables as common joints in
    TrajectoryExecutionManager
    * Convert multi-DOF trajectories to joints in TEM
    * Revert "Convert MDOF trajectories to joint trajectories in planning interfaces"
    This reverts commit 885ee2718594859555b73dc341311a859d31216e.
    * Handle multi-DOF variables in TEM's bound checking
    * Add parameter to optionally enable multi-dof conversion
    * Improve error message about unknown controllers
    * Fix name ordering in JointTrajectory conversion
    * Improve DEBUG output in TEM
    * Comment RobotTrajectory test
    * add acceleration to avoid out of bounds read
  * Fix doc reference to non-existent function (#2765 <https://github.com/moveit/moveit2/issues/2765>)
  * (core) Remove unused python docs folder (#2746 <https://github.com/moveit/moveit2/issues/2746>)
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
  * (core) Install collision_detector_fcl_plugin (#2699 <https://github.com/moveit/moveit2/issues/2699>)
    FCL version of acda563
  * Simplify Isometry multiplication benchmarks (#2628 <https://github.com/moveit/moveit2/issues/2628>)
    With the benchmark library, there is no need to specify an iteration count.
    Interestingly, 4x4 matrix multiplication is faster than affine*matrix
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Merge pull request #2660 <https://github.com/moveit/moveit2/issues/2660> from MarqRazz/pr-fix_model_with_collision
    Fix getLinkModelNamesWithCollisionGeometry to include the base link
  * validate link has parent
  * pre-commit
  * Fix getLinkModelNamesWithCollisionGeometry to include the base link of the planning group
  * Acceleration Limited Smoothing Plugin for Servo (#2651 <https://github.com/moveit/moveit2/issues/2651>)
  * Contributors: Henning Kayser, Marq Rasmussen, Matthijs van der Burgh, Paul Gesel, Robert Haschke, Sebastian Jahr, Shobuj Paul, Tyler Weaver, marqrazz

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-core (2.9.0-2bookworm) bookworm; urgency=high

  * (core) Remove all references to python wrapper from the core pkg (#2623 <https://github.com/ros-planning/moveit2/issues/2623>)
    * (core) remove commented python wrapper code
    * (core) remove dep on pybind11_vendor
  * Add missing pluginlib dependency (#2641 <https://github.com/ros-planning/moveit2/issues/2641>)
  * make time_optimal_trajectory_generation harder to misuse (#2624 <https://github.com/ros-planning/moveit2/issues/2624>)
    * make time_optimal_trajectory_generation harder to misuse
    * style fixes
    * more style fixes
    * more style fixes
    * address PR comments
  * Add collision_detection dependency on pluginlib (#2638 <https://github.com/ros-planning/moveit2/issues/2638>)
    It is included by src/collision_plugin_cache.cpp, so it should be set as a dependency.
  * reset accelerations on setToDefaultValues (#2618 <https://github.com/ros-planning/moveit2/issues/2618>)
  * fix out-of-bounds memory access with zero-variable joints (#2617 <https://github.com/ros-planning/moveit2/issues/2617>)
  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * Sync Ruckig with MoveIt1 (#2596 <https://github.com/ros-planning/moveit2/issues/2596>)
    * Debug Ruckig tests (MoveIt1 3300)
    * Add a test, termination condition bugfix (MoveIt1 3348)
    * Mitigate Ruckig overshoot (MoveIt1 3376)
    * Small variable fixup
  * Add missing header (#2592 <https://github.com/ros-planning/moveit2/issues/2592>)
  * Depend on rsl::rsl as a non-Ament dependency (#2578 <https://github.com/ros-planning/moveit2/issues/2578>)
  * [Planning Pipeline Refactoring] #2 <https://github.com/ros-planning/moveit2/issues/2> Enable chaining planners (#2457 <https://github.com/ros-planning/moveit2/issues/2457>)
    * Enable chaining multiple planners
  * Pass more distance information out from FCL collision check (#2572 <https://github.com/ros-planning/moveit2/issues/2572>)
    * Pass more distance information out from FCL collision check
    * Update moveit_core/collision_detection/include/moveit/collision_detection/collision_common.h
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@tuta.io>
    * Update moveit_core/collision_detection/include/moveit/collision_detection/collision_common.h
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Node logging in moveit_core (#2503 <https://github.com/ros-planning/moveit2/issues/2503>)
  * Benchmark robot state (#2546 <https://github.com/ros-planning/moveit2/issues/2546>)
    * simplify memory management in RobotState
    * further changes
    * avoid pointer arithmetic where possible
    * fix memory access issue on root joint with 0 variables
    * fix vector size
    * remove unused header
  * Remember original color of objects in planning scene (#2549 <https://github.com/ros-planning/moveit2/issues/2549>)

