=== debian/control ===
Source: ros-jazzy-moveit-core
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-all-dev, libbullet-dev, libeigen3-dev, libfcl-dev, pkg-config, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gmock <!nocheck>, ros-jazzy-ament-cmake-google-benchmark <!nocheck>, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-index-cpp <!nocheck>, ros-jazzy-angles, ros-jazzy-angles <!nocheck>, ros-jazzy-common-interfaces, ros-jazzy-eigen-stl-containers, ros-jazzy-eigen3-cmake-module, ros-jazzy-generate-parameter-library, ros-jazzy-geometric-shapes, ros-jazzy-geometry-msgs, ros-jazzy-google-benchmark-vendor, ros-jazzy-kdl-parser, ros-jazzy-launch-testing-ament-cmake <!nocheck>, ros-jazzy-moveit-common, ros-jazzy-moveit-msgs, ros-jazzy-moveit-resources-panda-moveit-config <!nocheck>, ros-jazzy-moveit-resources-pr2-description <!nocheck>, ros-jazzy-octomap-msgs, ros-jazzy-orocos-kdl-vendor <!nocheck>, ros-jazzy-osqp-vendor, ros-jazzy-pluginlib, ros-jazzy-random-numbers, ros-jazzy-rcl-interfaces <!nocheck>, ros-jazzy-rclcpp, ros-jazzy-rclpy <!nocheck>, ros-jazzy-rsl, ros-jazzy-ruckig, ros-jazzy-sensor-msgs, ros-jazzy-shape-msgs, ros-jazzy-srdfdom, ros-jazzy-std-msgs, ros-jazzy-tf2, ros-jazzy-tf2-eigen, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-kdl, ros-jazzy-trajectory-msgs, ros-jazzy-urdf, ros-jazzy-urdfdom, ros-jazzy-urdfdom-headers, ros-jazzy-visualization-msgs, ros-jazzy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-jazzy-moveit-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libboost-all-dev, libbullet-dev, libeigen3-dev, libfcl-dev, ros-jazzy-angles, ros-jazzy-common-interfaces, ros-jazzy-eigen-stl-containers, ros-jazzy-eigen3-cmake-module, ros-jazzy-generate-parameter-library, ros-jazzy-geometric-shapes, ros-jazzy-geometry-msgs, ros-jazzy-google-benchmark-vendor, ros-jazzy-kdl-parser, ros-jazzy-moveit-common, ros-jazzy-moveit-msgs, ros-jazzy-octomap-msgs, ros-jazzy-osqp-vendor, ros-jazzy-pluginlib, ros-jazzy-random-numbers, ros-jazzy-rclcpp, ros-jazzy-rsl, ros-jazzy-ruckig, ros-jazzy-sensor-msgs, ros-jazzy-shape-msgs, ros-jazzy-srdfdom, ros-jazzy-std-msgs, ros-jazzy-tf2, ros-jazzy-tf2-eigen, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-kdl, ros-jazzy-trajectory-msgs, ros-jazzy-urdf, ros-jazzy-urdfdom, ros-jazzy-urdfdom-headers, ros-jazzy-visualization-msgs, ros-jazzy-ros-workspace
Description: Core libraries used by MoveIt
